/* Loader*/
/* HTML: <div class="loader"></div> */

body {
    color: black !important;
    font-weight: bold !important;
    font-family: "Arial", sans-serif !important;
}

.text-dark {
    color: black !important;
    font-weight: bold !important;
}

.text-end {
    text-align: end;
}

.text.lg {
    font-size: 1.2rem;
}

.text {
    font-size: 1rem;
}

.text.sm {
    font-size: 0.8rem;
}

#bayarText {
    font-size: 19px;
    font-weight: bold;
}

.loader-wrapper {
    position: fixed; /* Sticks the loader to the viewport */
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    display: none; /* Enables flexbox */
    justify-content: center; /* Centers horizontally */
    align-items: center; /* Centers vertically */
    background-color: rgba(0, 0, 0, 0.5); /* Semi-transparent black overlay */
    z-index: 9999999; /* Ensures it's above other content */
}
.loader {
    width: 50px;
    padding: 8px;
    aspect-ratio: 1;
    border-radius: 50%;
    background: #25b09b;
    --_m: conic-gradient(#0000 10%, #000), linear-gradient(#000 0 0) content-box;
    -webkit-mask: var(--_m);
    mask: var(--_m);
    -webkit-mask-composite: source-out;
    mask-composite: subtract;
    animation: l3 1s infinite linear;
}
@keyframes l3 {
    to {
        transform: rotate(1turn);
    }
}
/* Loader*/

/* Input Field */

.form-control {
    color: black !important;
    font-weight: bold !important;
}

.inputGroup {
    position: relative;

    #nameCust {
        padding: 0.65em !important;
    }
}

.inputGroup input {
    font-size: 100%;
    padding: 0.8em;
    outline: none;
    border: 2px solid rgb(200, 200, 200);
    background-color: transparent;
    border-radius: 8px;
    width: 100%;
    font-weight: bold;
}

.inputGroup label {
    font-size: 100%;
    position: absolute;
    left: 0;
    padding: 0.8em;
    margin-left: 0.5em;
    pointer-events: none;
    transition: all 0.3s ease;
    color: gray;
}

.inputGroup :is(input:focus, input:valid, .has-value) ~ label {
    transform: translateY(-50%) scale(0.9);
    margin: 0em;
    margin-left: 1.3em;
    padding: 0.4em;
    background-color: white;
    color: black;
}

.inputGroup :is(input:focus, input:valid, .has-value) {
    border-color: black;
}

.prod-input {
    width: 100%;
    height: 50px;
    border: 2px solid black;
    border-radius: 8px;
}

.total-input {
    width: 100%;
    height: 30px;
    border: 2px solid black;
    border-radius: 4px;
}

/* Input Field */

/* Table */

.table {
    color: black !important;
    font-weight: bold !important;
}

.table-bordered thead th,
.table-bordered thead td {
    border-bottom-width: 1px !important;
}

.table thead th {
    border-bottom: 1px solid black !important;
}

.table-bordered th,
.table-bordered td {
    border: 1px solid black !important;
}

table.table-bordered.dataTable th,
table.table-bordered.dataTable td {
    border-left-width: 1px !important;
}

table.table-bordered.dataTable tbody th,
table.table-bordered.dataTable tbody td {
    border-bottom-width: 1px !important;
}

/* Table */

/* Products Page */
.product-name {
    text-decoration: underline;
}

.product-name:hover {
    color: blue;
}

/* Custom Radio button */
:focus {
    outline: 0;
    border-color: #2260ff;
    /* box-shadow: 0 0 0 4px #b5c9fc; */
}

.mydict div {
    display: flex;
    flex-wrap: wrap;
    margin-top: 0.5rem;
    justify-content: center;
}

.mydict input[type="radio"] {
    clip: rect(0 0 0 0);
    clip-path: inset(100%);
    height: 1px;
    overflow: hidden;
    position: absolute;
    white-space: nowrap;
    width: 1px;
}

.mydict input[type="radio"]:checked + span {
    box-shadow: 0 0 0 0.0625em #0043ed;
    background-color: #dee7ff;
    z-index: 1;
    color: #0043ed;
}

label span {
    display: block;
    cursor: pointer;
    background-color: #fff;
    padding: 0.375em 0.75em;
    position: relative;
    margin-left: 0.0625em;
    box-shadow: 0 0 0 0.0625em #b5bfd9;
    letter-spacing: 0.05em;
    color: #3e4963;
    text-align: center;
    transition: background-color 0.5s ease;
}

label:first-child span {
    border-radius: 0.375em 0 0 0.375em;
}

label:last-child span {
    border-radius: 0 0.375em 0.375em 0;
}

/* Products Page */

/* Transaction Page */

.overlay {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: black;
    opacity: 0.85;
    z-index: 9999;
    display: block;
}

.overlay-content-new {
    position: absolute;
    top: 300px;
    left: 55%;
    transform: translate(-50%, -50%);
    background-color: white;
    padding: 3rem;
    border-radius: 5px;
    z-index: 10000;
    max-height: 95%;
    overflow-y: auto;
}

.overlay-content {
    position: fixed;
    top: 50%;
    left: 55%;
    transform: translate(-50%, -50%);
    background-color: white;
    padding: 3rem;
    border-radius: 5px;
    z-index: 10000;
    width: 85%;
    max-height: 95%;
    overflow-y: auto;
}

#transactionTable tr {
    cursor: pointer;
}

/* Transaction Page */

/* Report Page */

.icon-hover {
    transition: color 0.3s ease;
}

.icon-hover:hover {
    color: red !important;
}

.popup {
    position: absolute;
    top: 135px;
    right: 24px;
    z-index: 1000;
    width: 25%;
    background-color: #fff;
    border: 1px solid #ccc;
    box-shadow: 0px 0px 10px rgba(0, 0, 0, 0.1);
    padding: 15px;
    border-radius: 5px;
}

.popup-content {
    display: flex;
    flex-direction: column;
}

#transactionReport tr {
    cursor: pointer;
}

/* Report Page */

.disabled {
    pointer-events: all !important; /* Prevents clicking */
    color: lightgray !important; /* Change color to indicate it's disabled */
    cursor: not-allowed !important; /* Change cursor to indicate disabled state */
}

/* Master User Role */
.access-group {
    box-shadow: 0px 0px 10px rgba(0, 0, 0, 0.1);
    padding: 1rem;
}

/* Bootstrap Navbar Custom */
.sidebar .nav-item .collapse .collapse-inner .collapse-item, .sidebar .nav-item .collapsing .collapse-inner .collapse-item {
    white-space: pre-wrap !important;
}
